<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.business.project.dao.mapper.ProjectHistoryMapper">
    <resultMap id="BaseResultMap" type="cn.com.ty.lift.business.project.dao.entity.ProjectHistory">
        <id column="id" property="id" jdbcType="BIGINT"/>
        <result column="mt_company_id" property="mtCompanyId" jdbcType="BIGINT"/>
        <result column="project_id" property="projectId" jdbcType="BIGINT"/>
        <result column="code" property="code" jdbcType="CHAR"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="description" property="description" jdbcType="VARCHAR"/>
        <result column="before_content" property="beforeContent" jdbcType="LONGVARCHAR"/>
        <result column="after_content" property="afterContent" jdbcType="LONGVARCHAR"/>
        <result column="operator_id" property="operatorId" jdbcType="BIGINT"/>
        <result column="operate_date" property="operateDate" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
		id, mt_company_id, project_id, code, name, description,before_content, after_content, operator_id, operate_date
	</sql>

</mapper>